<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_9f55fef472b741cb222ce4503" . "e90012a" => base64_decode("cHViX3" . "BhZ2U="), "_1be4a86ec54058894c0" . "dc8eeb44bf65a" => base64_decode("Y29tbW9" . "uLnR5cG" . "UucHViX" . "3BhZ2Vz"), "_bdf46cfa1aba0af38c9a9fa98" . "dfd831b" => base64_decode("YXBwX3B1Ymxpc" . "2g="), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZw" . "=="));
use Claromentis\Publish\PublishApplication as PublishPublishApplication;
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_9f55fef472b741cb222ce4503" . "e90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1be4a86ec540588" . "94c0dc8eeb44bf65" . "a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_bdf46cfa1aba0af38" . "c9a9fa98dfd831b"];
    }
    public function GetIcon() : string
    {
        return PublishPublishApplication::APPLICATION_SVG_URL;
    }
}